# Xapian::DatabaseCorruptError Class Reference

DatabaseCorruptError indicates database corruption was detected. More...

Inheritance diagram for Xapian::DatabaseCorruptError:

[legend]

List of all members.

## Public Member Functions

| DatabaseCorruptError (const std::string &msg_, const std::string &context_=std::string(), int errno_=0)
| General purpose constructor.
| DatabaseCorruptError (const std::string &msg_, int errno_)
| Construct from message and errno value.

## Detailed Description

DatabaseCorruptError indicates database corruption was detected.

## Constructor & Destructor Documentation

Xapian::DatabaseCorruptError::DatabaseCorruptError | ( | const std::string & | msg_,
|  | const std::string & | context_ = `std::string()`,
|  | int | errno_ = `0` |
| ) |  |  | `[inline, explicit]`

General purpose constructor.

Parameters:

  | msg_ | Message giving details of the error, intended for human consumption.
  | context_ | Optional context information for this error.
  | errno_ | Optional errno value associated with this error.

Xapian::DatabaseCorruptError::DatabaseCorruptError | ( | const std::string & | msg_,
|  | int | errno_ |
| ) |  |  | `[inline]`

Construct from message and errno value.

Parameters:

  | msg_ | Message giving details of the error, intended for human consumption.
  | errno_ | Optional errno value associated with this error.

The documentation for this class was generated from the following file:

- xapian/error.h